package com.prolog.upcloud.base.wh.operate.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * @author wujunjie
 * @desc 移库单类型
 */
@AllArgsConstructor
@Getter
public enum WmsMoveSubBillType {
    /**
     * 移库
     */
    MOVE_AREA("1"),
    /**
     * 移位
     */
    MOVE_LOCATION("2"),
    /**
     * 立体
     */
    MOVE_STEREO("3");

    private String type;

    public static WmsMoveSubBillType get(String type) {
        return Arrays.stream(WmsMoveSubBillType.values()).filter(x -> x.getType().equals(type)).findFirst().orElse(null);
    }
}
